# ControlLogin
Date: 2016-11-30

control

## Class ControlLogin

- java.lang.Object
- - control.ControlLogin

    public class ControlLogin
    extends java.lang.Object

Esta clase es utilizada en las ventanas Login y Registro para sus operaciones, conteniendo metodos que permiten aņadir usuarios y comprobar la existencia de un usuario o un usuario y su contraseņa

### Constructor Summary

Constructors
Constructor and Description
`ControlLogin()` Inicia el objeto y crea un objeto archivo para ser utilizado por los metodos

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `aņadirUsuario(java.lang.String user, java.lang.String pass, java.lang.String pass2)` Realiza las comprobaciones necesarias para que los parametros entregados correspondan con el formato de usuario y contraseņa esperado y los aņade al archivo
`boolean` `isUser(java.lang.String user)` Busca un usuario en el archivo
`boolean` `isUserPass(java.lang.String user, java.lang.String pass)` Busca un par usuario contraseņa en el archivo

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ControlLogin

    public ControlLogin()

Inicia el objeto y crea un objeto archivo para ser utilizado por los metodos

### Method Detail

#### aņadirUsuario

    public boolean aņadirUsuario(java.lang.String user,
                                 java.lang.String pass,
                                 java.lang.String pass2)

Realiza las comprobaciones necesarias para que los parametros entregados correspondan con el formato de usuario y contraseņa esperado y los aņade al archivo

Parameters:
  `user` - Usuario el cual debe tener un largo superior a 4 caracteres y no debe estar guardado en el archivo previamente
  `pass` - Contraseņa la cual debe tener un largo mayor a 6 caracteres
  `pass2` - Contraseņa que debe ser igual a la anterior
Returns:
  Booleano indicando si la operacion se realizo correctamente

#### isUser

    public boolean isUser(java.lang.String user)

Busca un usuario en el archivo

Parameters:
  `user` - Usuario a buscar
Returns:
  Booleano que indica si existia el usuario o no

#### isUserPass

    public boolean isUserPass(java.lang.String user,
                              java.lang.String pass)

Busca un par usuario contraseņa en el archivo

Parameters:
  `user` - Usuario a buscar
  `pass` - Contraseņa correspondiente a ese usuario
Returns:
  Booleano que indica si exite el par o no